Name: ca_policy_igtf
Version: 1.0
Release: 1
Source: ca_policy_igtf-1.0.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
AutoReqProv: no

Summary: Trust anchors production-level collection policy for the IGTF
URL: http://www.gridpma.org/
Requires: ca_policy_igtf-classic = 1.0

%prep
%setup -n ca_policy_igtf-1.0

%description
This collection represent the current set of accredited authorities
by the International Grid Trust Federation member PMAs, that meet the 
production qualify Authentication Profiles. This includes the "classic" 
profile.

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/
# clean up files that should not be packaged (experimental/worthless info)
for pname in experimental worthless discontinued 
do
  rm $RPM_BUILD_ROOT/etc/grid-security/certificates/policy-igtf-$pname.info
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf.info


%package classic
Summary: Classic X.509 CA collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_AIST = 1.0, ca_SlovakGrid = 1.0, ca_RDIG = 1.0, ca_DFN-GridGermany-Root = 1.0, ca_AustrianGrid = 1.0, ca_BalticGrid = 1.0, ca_SwissSign-Silver = 1.0, ca_CESNET-old = 1.0, ca_DFN-GridGermany-Server = 1.0, ca_DOEGrids = 1.0, ca_SwissSign-Bronze = 1.0, ca_RMKI = 1.0, ca_CERN = 1.0, ca_HellasGrid = 1.0, ca_DFN-GridGermany-User = 1.0, ca_CNRS = 1.0, ca_LIP = 1.0, ca_Russia = 1.0, ca_SWITCH = 1.0, ca_CyGrid-old = 1.0, ca_GermanGrid = 1.0, ca_INFN = 1.0, ca_LIPCA = 1.0, ca_EstonianGrid = 1.0, ca_NorduGrid = 1.0, ca_CESNET = 1.0, ca_UKeScience = 1.0, ca_PK-Grid = 1.0, ca_NIIF = 1.0, ca_ESnet = 1.0, ca_CyGrid = 1.0, ca_SiGNET = 1.0, ca_IUCC = 1.0, ca_NIKHEF = 1.0, ca_ASGCCA = 1.0, ca_ArmeSFo = 1.0, ca_IHEP = 1.0, ca_KISTI = 1.0, ca_Grid-Ireland = 1.0, ca_GridCanada = 1.0, ca_CNRS-Grid-FR = 1.0, ca_PolishGrid = 1.0, ca_SEE-GRID = 1.0, ca_BEGrid = 1.0, ca_SwissSign-Root = 1.0, ca_TRGrid = 1.0, ca_CNRS-DataGrid = 1.0, ca_CNRS-Projets = 1.0, ca_Spain = 1.0

%description classic
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "classic" 
X.509 Certification Authorities with Secured Infrastructure Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "classic" profile.
Refer to the IGTF web site for the classic authentication profile.

%files classic
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-classic.info



%package slcs
Summary: Short-lived Credential Services collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
#Requires: @ACCREDITED:SLCGS@

%description slcs
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "slcs"
Short-lived Credential Generation Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "slcs" profile.
Refer to the IGTF web site for the slcs authentication profile.

%files slcs
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-slcs.info

